Bug 540056 - X11 error: BadAlloc (insufficient resources for operation)
X11 error: BadAlloc (insufficient resources for operation)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-geode (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Patch, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-21 22:44 EST by Bill C. Riemers
Modified: 2010-06-28 11:29 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 11:29:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill C. Riemers 2009-11-21 22:44:24 EST
Description of problem:

For any application which uses X11/xv on my OLPC (Fedora 11) I get a BadAlloc error.

Version-Release number of selected component (if applicable):

xorg-x11-drv-geode-2.11.2-1.fc11.i586 

How reproducible:

100%

Steps to Reproduce:
1. Install Fedora 11 on an XO-1.  http://wiki.laptop.org/go/F11_for_XO-1  (Don't forget to add some swap space on a USB stick or such.)
2. Install a multimedia player such as mplayer or vlc.
3. Attempt to play the video using the default X11/xv driver.
  
Actual results:

BadAlloc error.  Depending on which application the error is presented differently.   Normally vlc will crash.   Mplayer usually runs, but displays no video output.   Sometimes the XO crashes completely.

Expected results:

The videos should play normally, with no X11 crashes/errors.

Additional info:
Comment 1 Matěj Cepl 2009-11-25 16:53:35 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available), output of the dmesg command, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Bill C. Riemers 2009-12-07 20:43:43 EST
The xorg.conf used on XO's is located at http://dev.laptop.org/~cscott/xorg.conf .  Dollar for donutes the problem is the video driver is expecting native resolutions that are multiples of 32.

Do you want the output of dmesg after a crash, or just after any random boot.   Ditto for the Xorg.*.log.

Bill
Comment 3 Matěj Cepl 2009-12-08 19:40:22 EST
(In reply to comment #2)
> Do you want the output of dmesg after a crash, or just after any random boot.  
> Ditto for the Xorg.*.log.

Of course after the crash ... I would dream we could get some nice backtrace of the crash.
Comment 4 Cesar Rodas 2009-12-29 15:53:30 EST
I don't know if it is important but the initial memory assignment has been reduced from 11MB to ~6MB from FC9 to FC11. Could this be the problem?
Comment 5 Cesar Rodas 2009-12-29 16:18:11 EST
(In reply to comment #4)
> I don't know if it is important but the initial memory assignment has been
> reduced from 11MB to ~6MB from FC9 to FC11. Could this be the problem?  

I meant OffScreen (EXA) section.
Comment 6 Raul Gutierrez S. 2010-01-19 12:20:21 EST
The following suggested change:

http://dev.laptop.org/ticket/9590

seems to be a valid workaround (not sure if the actual fix). 

After adding the : 

 Virtual 1200 900

line to xorg.conf and restarting X the BadAlloc errors are gone. Comparing the X logs without and with this configuration option on the former no free memory is reported while in the latter there is free memory. As well the virtual screen size is detected differently. 

With no Virtual statement the screen width takes the following value:

lx_driver.c:#define LX_MAX_WIDTH  1940
Comment 7 Matěj Cepl 2010-02-26 07:23:00 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 8 Bill C. Riemers 2010-02-26 09:51:38 EST
I thought Raul's message shows the exact problem, and what needs to be done to fix it.   What more information do you need?

(In reply to comment #7)
> Could you please reply to the previous question? If you won't reply in one
> month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
> 
> [Note please, that this is machine generated comment for large amount of bugs;
> due to some technical issues, it is possible we've missed some of the responses
> -- it is happens, please, just a make a comment about that; that we will see.
> Thank you]
Comment 9 Matěj Cepl 2010-03-02 17:47:31 EST
You are right, it is.

Thanks
Comment 10 Bug Zapper 2010-04-28 07:24:53 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-06-28 11:29:47 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.